Bug 350911 - LTC39928: 201214: Add/enable driver ixgbe in the boot/install environment with kudzu, anaconda, etc.
LTC39928: 201214: Add/enable driver ixgbe in the boot/install environment w...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
5.2
ppc64 All
medium Severity medium
: ---
: ---
Assigned To: Joel Andres Granados
James Laska
ARRAY(0x8bcb30)
: OtherQA, Reopened
Depends On:
Blocks: 227737
  Show dependency treegraph
 
Reported: 2007-10-24 13:55 EDT by IBM Bug Proxy
Modified: 2013-09-02 02:23 EDT (History)
3 users (show)

See Also:
Fixed In Version: RHBA-2008-0397
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:32:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 39928 None None None Never

  None (edit)
Description IBM Bug Proxy 2007-10-24 13:55:25 EDT
=Comment: #0=================================================
Stephanie A. Glass <sglass&#64;us.ibm.com> - 2007-10-24 13:49 EDT
1. Feature Id 	201214
Feature Name 	Add/enable driver ixgbe in the boot/install environment with
kudzu, anaconda, etc.
Sponsor 	PPC
Category 	Device Drivers and IO
Request Type 	Code Development Support from Distributor

2. Short Description 	To support the Intel based 10Gb PCI-E Ethernet adapter as
a bootable/install device on all i/p6 systems. The driver is "ixgbe". This is a
newly included driver. Please refer to DevTrack #200536 for the driver
inclusion. This feature is a supplement feature to it.
Architecture 	ppc64

3. Describe the Business Case 	To provide the adequate support for network
boot/install via the new 10Gb PCI-E adapter on i/p6 systems. The boot/install is
an essential function for every piece of network device on the system. The lack
of it would be considered as a flaw by the customers.
Performance Assistance Required? 	no
Benefits 	To meet customers' expectation on the network adapter support.
 	
4. Sponsor Priority 	1
IBM Confidential 	yes
Code Contribution ? 	no
Upstream Acceptance 	No Code Required
Delivery Mechanism 	Device Driver

5. Hardware to Red Hat: Already provided on site

6. PM Contact: Josh Poulson, jrp@us.ibm.com, 360-857-5053

7. Technical Contact: Wen Xiong, wenxiong@us.ibm.com, 512-838-7922
Comment 1 Bill Nottingham 2007-10-24 14:21:13 EDT
Nothing needs changed in kudzu.
Comment 3 Jesse Brandeburg 2007-11-11 02:15:36 EST
um, does IBM just want the device IDs added so that the name comes up correctly?
Comment 4 IBM Bug Proxy 2007-11-14 08:55:23 EST
------- Comment From wenxiong@us.ibm.com 2007-11-14 08:52 EDT-------
Need RedHat help to put ixgbe driver in ppc boot image or ram filesystem.
To make sure that customer can load ixgbe device driver if they want to do
boot/install from ixgbe adatper.

Thanks,
Wendy
Comment 5 John Jarvis 2007-11-20 09:45:09 EST
This enhancement request was evaluated by the full Red Hat Enterprise Linux team
for inclusion in a Red Hat Enterprise Linux minor release.   As a result of this
evaluation, Red Hat has tentatively approved inclusion of this feature in the
next Red Hat Enterprise Linux Update minor release.   While it is a goal to
include this enhancement in the next minor release of Red Hat Enterprise Linux,
the enhancement is not yet committed for inclusion in the next minor release
pending the next phase of actual code integration and successful Red Hat and
partner testing.

Comment 7 James Laska 2008-02-21 12:10:35 EST
Marking as VERIFIED

Testing RHEL5.2-Server-20080219.nightly
 - Module 'ixgbe' is present in ramdisk on i386, ia64, ppc, and x86_64
 - Module 'ixgbe' md5sum matches that of kernel package for the tree
 - Module manually loads when booting with 'noprobe' on i386,x86_64 and ppc

          ┌───────────────────────┤ Devices ├────────────────────────┐          
          │                                                          │          
          │ The following devices have been found on your system.    │          
          │                                                          │          
          │ Promise PATA controllers (pata_pdc2027x)                 │          
          │ Intel 10 Gigabit PCI Express (ixgbe)                     │          
          │ Intel EtherExpress/1000 gigabit (e1000)                  │          
          │                                                          │          
          │         ┌──────┐                 ┌────────────┐          │          
          │         │ Done │                 │ Add Device │          │          
          │         └──────┘                 └────────────┘          │          
          │                                                          │          
          │                                                          │          
          └──────────────────────────────────────────────────────────┘          

Without hardware in hand, IBM will need to confirm that the module is recognized
and loaded automatically in stage#1 anaconda.  All signs indicate this should
now be the case.
Comment 8 IBM Bug Proxy 2008-03-18 16:08:26 EDT
------- Comment From wenxiong@us.ibm.com 2008-03-18 16:04 EDT-------
Successive pings in SMS-menu and nim installation are successful with the new
Fcode for Knox adapter. I verified this feature on eClipeL4.

Thanks,
Wendy
Comment 10 errata-xmlrpc 2008-05-21 11:32:04 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0397.html

Note You need to log in before you can comment on or make changes to this bug.